Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# AsyncIbsta

## Name

AsyncIbsta -- ibsta value for last asynchronous I/O operation

## Synopsis

    #include <gpib/ib.h>

``int AsyncIbsta`(void);`

## Description

AsyncIbsta() returns a thread-local status value related to the global variable ibsta. Its value corresponds to the result of the last asynchronous I/O operation resynchronized to the current thread by an ibwait or ibstop call. This function only reflects the result of the asynchronous I/O operation itself and not, for example, the ibwait which resynchronized the asynchronous result to the current thread. Thus the result from AsyncIbsta() is easier to interpret than ThreadIbsta(), since it is unambiguous whether the value is associated with the asynchronous I/O result, or with the function call used to resynchronize (ibwait or ibstop).

Only the status bits END | ERR | TIMO | CMPL are valid in the returned status byte. The rest of the bits should be ignored and will be set to zero.

This function is a Linux-GPIB extension.

## Return value

A value related to ibsta corresponding to the last asynchronous I/O operation resynchronized to the current thread.

Prev | Home | Next
AsyncIberr | Up | CFGn